Package com.usatiuk.dhfs.invalidation

# Class InvalidationQueueService

java.lang.Object
com.usatiuk.dhfs.invalidation.InvalidationQueueService

@ApplicationScoped public class InvalidationQueueService extends Object

## Constructor Summary

Constructors
Constructor
Description
`InvalidationQueueService(int delay)`

## Method Summary

Modifier and Type
Method
Description
`void`
`pushInvalidationToAll(JObjectKey key)`
`void`
`pushInvalidationToOne(PeerId host, JObjectKey obj)`
`void`
`pushInvalidationToOneNoDelay(PeerId host, JObjectKey obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvalidationQueueService

public InvalidationQueueService(int delay)

## Method Details

### pushInvalidationToAll

public void pushInvalidationToAll(JObjectKey key)

### pushInvalidationToOne

public void pushInvalidationToOne(PeerId host, JObjectKey obj)

### pushInvalidationToOneNoDelay

public void pushInvalidationToOneNoDelay(PeerId host, JObjectKey obj)